org.apache.tomcat.util.bcel.classfile

## Class ParameterAnnotations

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.ParameterAnnotations

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  RuntimeInvisibleParameterAnnotations, RuntimeVisibleParameterAnnotations

    public abstract class ParameterAnnotations
    extends Attribute

base class for parameter annotations

Since:
  6.0
Author:
  D. Brosius
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`ParameterAnnotations(byte parameter_annotation_type, int name_index, int length, ParameterAnnotationEntry[] parameter_annotation_table, ConstantPool constant_pool)`

### Method Summary

Methods
`void` `setParameterAnnotationTable(ParameterAnnotationEntry[] parameter_annotation_table)`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, copy, getName, getTag, readAttribute, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterAnnotations

    public ParameterAnnotations(byte parameter_annotation_type,
                        int name_index,
                        int length,
                        ParameterAnnotationEntry[] parameter_annotation_table,
                        ConstantPool constant_pool)

Parameters:
  `parameter_annotation_type` - the subclass type of the parameter annotation
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `parameter_annotation_table` - the actual parameter annotations
  `constant_pool` - Array of constants

### Method Detail

#### setParameterAnnotationTable

    public final void setParameterAnnotationTable(ParameterAnnotationEntry[] parameter_annotation_table)

Parameters:
  `parameter_annotation_table` - the entries to set in this parameter annotation